Index: /trunk/DOC/NEMO_book.tex
===================================================================
--- /trunk/DOC/NEMO_book.tex	(revision 997)
+++ /trunk/DOC/NEMO_book.tex	(revision 998)
@@ -136,9 +136,6 @@
 
 %--------------------------------------------namlist---------------------------------------------------------
-%\newcommand{\namdisplay} [1] {	\vspace{-25pt}
-%	\begin{alltt}  \textcolor{blue}{{\scriptsize \verbatiminput{./Namelist/#1}}}  \end{alltt}
-%									\vspace{-20pt}	}
 \newcommand{\namdisplay} [1] { 
-	\begin{alltt}  {{\tiny \verbatiminput{./Namelist/#1}}}  \end{alltt} 
+	\begin{alltt}  {{\tiny \verbatiminput{./TexFiles/Namelist/#1}}}  \end{alltt} 
                                \vspace{-10pt}	}
 %--------------------------------------------------------------------------------------------------------------
@@ -168,13 +165,13 @@
 
 \title{ 
-\includegraphics[width=0.2\textwidth]{./Figures/logo_CNRS.pdf} 
+\includegraphics[width=0.2\textwidth]{./TexFiles/Figures/logo_CNRS.pdf} 
 \quad
-\includegraphics[width=0.2\textwidth]{./Figures/logo_MERCATOR.pdf} 
+\includegraphics[width=0.2\textwidth]{./TexFiles/Figures/logo_MERCATOR.pdf} 
 \quad
-\includegraphics[width=0.1\textwidth]{./Figures/logo_UKMO.pdf} 
+\includegraphics[width=0.1\textwidth]{./TexFiles/Figures/logo_UKMO.pdf} 
 \quad
-\includegraphics[width=0.2\textwidth]{./Figures/logo_NERC.pdf} \\
+\includegraphics[width=0.2\textwidth]{./TexFiles/Figures/logo_NERC.pdf} \\
 \vspace{3.0cm}
-\includegraphics[width=0.3\textwidth]{./Figures/NEMO_logo_Black.pdf} \\
+\includegraphics[width=0.3\textwidth]{./TexFiles/Figures/NEMO_logo_Black.pdf} \\
 \vspace{1.0cm}
 \rule{345pt}{1.5pt} \\
@@ -194,9 +191,9 @@
 
 
-%%\includegraphics[width=0.2\textwidth]{./Figures/logo_NERC.pdf} \\
+%%\includegraphics[width=0.2\textwidth]{./TexFiles/Figures/logo_NERC.pdf} \\
 
 %%    \hbox{\mbox{%
 %%       \hspace{4pt}%
-%%         \fbox{\includegraphics[width=3em]{./Figures/logo_CNRS.pdf}}%
+%%         \fbox{\includegraphics[width=3em]{./TexFiles/Figures/logo_CNRS.pdf}}%
 %%        \hspace{4pt}
 %%        }  }%
@@ -215,9 +212,9 @@
 % ================================================================
 
-%\includeonly{./Chapters/Chap_MISC}
-%\includeonly{./Chapters/Annex_E}
-%\includeonly{./Chapters/Chap_LBC,./Chapters/Chap_MISC}
-%\includeonly{./Chapters/Chap_Model_Basics_zstar}
-%\includeonly{./Chapters/Annex_A,./Chapters/Annex_B,./Chapters/Annex_C,./Chapters/Annex_D}
+%\includeonly{./TexFiles/Chapters/Chap_MISC}
+%\includeonly{./TexFiles/Chapters/Annex_E}
+%\includeonly{./TexFiles/Chapters/Chap_LBC,./TexFiles/Chapters/Chap_MISC}
+%\includeonly{./TexFiles/Chapters/Chap_Model_Basics_zstar}
+%\includeonly{./TexFiles/Chapters/Annex_A,./TexFiles/Chapters/Annex_B,./TexFiles/Chapters/Annex_C,./TexFiles/Chapters/Annex_D}
 
 % ================================================================
@@ -239,5 +236,5 @@
 % ================================================================
 
-\include{./Chapters/Abstracts_Foreword}
+\include{./TexFiles/Chapters/Abstracts_Foreword}
 
 % ================================================================
@@ -245,5 +242,5 @@
 % ================================================================
 
-\include{./Chapters/Introduction}
+\include{./TexFiles/Chapters/Introduction}
 
 % ================================================================
@@ -251,23 +248,23 @@
 % ================================================================
 
-\include{./Chapters/Chap_Model_Basics}
-
-%\include{./Chapters/Chap_Model_Basics_zstar}	% attent to describe z*-s*
-
-\include{./Chapters/Chap_DOM}
-
-\include{./Chapters/Chap_TRA}
-
-\include{./Chapters/Chap_DYN}
-
-\include{./Chapters/Chap_SBC}
-
-\include{./Chapters/Chap_LBC}
-
-\include{./Chapters/Chap_LDF}
-
-\include{./Chapters/Chap_ZDF}
-
-\include{./Chapters/Chap_MISC}
+\include{./TexFiles/Chapters/Chap_Model_Basics}
+
+%\include{./TexFiles/Chapters/Chap_Model_Basics_zstar}	% attent to describe z*-s*
+
+\include{./TexFiles/Chapters/Chap_DOM}
+
+\include{./TexFiles/Chapters/Chap_TRA}
+
+\include{./TexFiles/Chapters/Chap_DYN}
+
+\include{./TexFiles/Chapters/Chap_SBC}
+
+\include{./TexFiles/Chapters/Chap_LBC}
+
+\include{./TexFiles/Chapters/Chap_LDF}
+
+\include{./TexFiles/Chapters/Chap_ZDF}
+
+\include{./TexFiles/Chapters/Chap_MISC}
 
 % ================================================================
@@ -277,12 +274,11 @@
 \appendix
 
-%\include{./Chapters/Chap_Conservation}
-\include{./Chapters/Annex_A}
-\include{./Chapters/Annex_B}
-\include{./Chapters/Annex_C}
-%\include{./Chapters/Annex_D}
-%\include{./Chapters/Annex_E}
-
-%%%%\include{./Chapters/0_page_de_garde_old}
+%\include{./TexFiles/Chapters/Chap_Conservation}
+\include{./TexFiles/Chapters/Annex_A}
+\include{./TexFiles/Chapters/Annex_B}
+\include{./TexFiles/Chapters/Annex_C}
+%\include{./TexFiles/Chapters/Annex_D}
+%\include{./TexFiles/Chapters/Annex_E}
+
 % ================================================================
 % INDEX
@@ -297,6 +293,6 @@
 
 %%\bibliographystyle{plainnat}
-\bibliographystyle{./ametsoc}			% AMS biblio style (JPO)
-\bibliography{./Biblio/Biblio}
+\bibliographystyle{./TexFiles/ametsoc}			% AMS biblio style (JPO)
+\bibliography{./TexFiles/Biblio/Biblio}
 
 % ================================================================
Index: /trunk/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 998)
@@ -45,5 +45,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tb] \label{Fig_cell}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_cell.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_cell.pdf}
 \caption{Arrangement of variables. $T$ indicates scalar points where temperature, 
 salinity, density, pressure and horizontal divergence are defined. ($u$,$v$,$w$) 
@@ -220,5 +220,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tb] \label{Fig_index_hor}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_index_hor.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_index_hor.pdf}
 \caption{Horizontal integer indexing used in the \textsc{Fortran} code. The dashed 
 area indicates the cell in which variables contained in arrays have the same 
@@ -269,5 +269,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!pt] \label{Fig_index_vert}  \begin{center}
-\includegraphics[width=.90\textwidth]{./Figures/Fig_index_vert.pdf}
+\includegraphics[width=.90\textwidth]{./TexFiles/Figures/Fig_index_vert.pdf}
 \caption{Vertical integer indexing used in the \textsc{Fortran } code. Note that 
 the $k$-axis is orientated downward. The dashed area indicates the cell in 
@@ -374,5 +374,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_zgr_e3}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_zgr_e3.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_zgr_e3.pdf}
 \caption{Comparison of (a) traditional definitions of grid-point position and grid-size 
 in the vertical, and (b) analytically derived grid-point position and scale factors. For 
@@ -479,5 +479,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tb] \label{Fig_z_zps_s_sps}  \begin{center}
-\includegraphics[width=1.0\textwidth]{./Figures/Fig_z_zps_s_sps.pdf}
+\includegraphics[width=1.0\textwidth]{./TexFiles/Figures/Fig_z_zps_s_sps.pdf}
 \caption{The ocean bottom as seen by the model: 
 (a) $z$-coordinate with full step, 
@@ -583,5 +583,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tb] \label{Fig_zgr}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_zgr.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_zgr.pdf}
 \caption{Default vertical mesh for ORCA2: 30 ocean levels (L30). Vertical level 
 functions for (a) T-point depth and (b) the associated scale factor as computed 
@@ -767,5 +767,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tb] \label{Fig_sco_function}  \begin{center}
-\includegraphics[width=1.0\textwidth]{./Figures/Fig_sco_function.pdf}
+\includegraphics[width=1.0\textwidth]{./TexFiles/Figures/Fig_sco_function.pdf}
 \caption{Examples of the stretching function applied to a sea mont; from left to right: surface, surface and bottom, and bottom intensified resolutions}
 \end{center}   \end{figure}
Index: /trunk/DOC/TexFiles/Chapters/Chap_DYN.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_DYN.tex	(revision 998)
@@ -190,5 +190,5 @@
 \begin{figure}[!ht] \label{Fig_DYN_een_triad}
 \begin{center}
-\includegraphics[width=0.70\textwidth]{./Figures/Fig_DYN_een_triad.pdf}
+\includegraphics[width=0.70\textwidth]{./TexFiles/Figures/Fig_DYN_een_triad.pdf}
 \caption{Triads used in the energy and enstrophy conserving scheme (een) for 
 $u$-component (upper panel) and $v$-component (lower panel).}
@@ -710,5 +710,5 @@
 \begin{figure}[!t] \label{Fig_DYN_dynspg_ts}
 \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_DYN_dynspg_ts.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_DYN_dynspg_ts.pdf}
 \caption{Schematic of the split-explicit time stepping scheme for the external 
 and internal modes. Time increases to the right. 
Index: /trunk/DOC/TexFiles/Chapters/Chap_LBC.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_LBC.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_LBC.tex	(revision 998)
@@ -48,5 +48,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_LBC_uv}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_LBC_uv.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_LBC_uv.pdf}
 \caption {Lateral boundary (thick line) at T-level. The velocity normal to the 
 		 boundary is set to zero.}
@@ -71,5 +71,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!p] \label{Fig_LBC_shlat}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_LBC_shlat.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_LBC_shlat.pdf}
 \caption {lateral boundary condition (a) free-slip ($shlat=0$) ; (b) no-slip ($shlat=2$) 
 ; (c) "partial" free-slip ($0<shlat<2$) and (d) "strong" no-slip ($2<shlat$). 
@@ -187,5 +187,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_LBC_jperio}  \begin{center}
-\includegraphics[width=1.0\textwidth]{./Figures/Fig_LBC_jperio.pdf}
+\includegraphics[width=1.0\textwidth]{./TexFiles/Figures/Fig_LBC_jperio.pdf}
 \caption {setting of (a) east-west cyclic  (b) symmetric across the equator boundary conditions.}
 \end{center}   \end{figure}
@@ -202,5 +202,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_North_Fold_T}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_North_Fold_T.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_North_Fold_T.pdf}
 \caption {North fold boundary with a $T$-point pivot and cyclic east-west boundary condition ($jperio=4$), as used in ORCA 2, 1/4, and 1/12. Pink shaded area corresponds to the inner domain mask (see text). }
 \end{center}   \end{figure}
@@ -263,5 +263,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_mpp}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_mpp.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_mpp.pdf}
 \caption {Positioning of a sub-domain when massively parallel processing is used. }
 \end{center}   \end{figure}
@@ -339,5 +339,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!ht] \label{Fig_mppini2}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_mppini2.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_mppini2.pdf}
 \caption {Example of Atlantic domain defined for the CLIPPER projet. Initial grid is 
 composed of 773 x 1236 horizontal points. (a) the domain is split onto 9 \time 20 
@@ -472,5 +472,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_obc_north}  \begin{center}
-\includegraphics[width=0.70\textwidth]{./Figures/Fig_obc_north.pdf}
+\includegraphics[width=0.70\textwidth]{./TexFiles/Figures/Fig_obc_north.pdf}
 \caption {Localization of the North open boundary points.}
 \end{center}  
Index: /trunk/DOC/TexFiles/Chapters/Chap_LDF.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_LDF.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_LDF.tex	(revision 998)
@@ -232,5 +232,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!ht] \label{Fig_LDF_ZDF1}  \begin{center}
-\includegraphics[width=0.70\textwidth]{./Figures/Fig_LDF_ZDF1.pdf}
+\includegraphics[width=0.70\textwidth]{./TexFiles/Figures/Fig_LDF_ZDF1.pdf}
 \caption {averaging procedure for isopycnal slope computation.}
 \end{center}   \end{figure}
@@ -249,5 +249,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!ht] \label{Fig_eiv_slp}  \begin{center}
-\includegraphics[width=0.70\textwidth]{./Figures/Fig_eiv_slp.pdf}
+\includegraphics[width=0.70\textwidth]{./TexFiles/Figures/Fig_eiv_slp.pdf}
 \caption {Vertical profile of the slope used for lateral mixing in the mixed layer : \textit{(a)} in the real ocean the slope is the iso-neutral slope in the ocean interior and their have to adjust to the surface boundary (i.e. tend to zero at the surface as there is no mixing across the air-sea interface: wall boundary condition). Nevertheless, the profile between surface zero value and interior iso-neutral one is unknown, and especially the value at the based of the mixed layer ; \textit{(b)} profile of slope using a linear tapering of the slope near the surface and imposing a maximum slope of 1/100 ; \textit{(c)} profile of slope actuelly used in \NEMO: linear decrease of the slope from zero at the surface to its ocean interior value computed just below the mixed layer. Note the huge change in the slope at the based of the mixed layer between  \textit{(b)}  and \textit{(c)}. 
 .}
Index: /trunk/DOC/TexFiles/Chapters/Chap_MISC.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 998)
@@ -35,6 +35,6 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tbp] \label{Fig_MISC_strait_hand}  \begin{center}
-\includegraphics[width=0.80\textwidth]{./Figures/Fig_Gibraltar.pdf}
-\includegraphics[width=0.80\textwidth]{./Figures/Fig_Gibraltar2.pdf}
+\includegraphics[width=0.80\textwidth]{./TexFiles/Figures/Fig_Gibraltar.pdf}
+\includegraphics[width=0.80\textwidth]{./TexFiles/Figures/Fig_Gibraltar2.pdf}
 \caption {Example of the Gibraltar strait defined in a 1\r{} x 1\r{} mesh. 
 \textit{Top}: using partially open cells. The meridional scale factor at $v$-point 
@@ -107,5 +107,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!ht] \label{Fig_LBC_zoom}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_LBC_zoom.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_LBC_zoom.pdf}
 \caption {Position of a model domain compared to the data input domain when the zoom functionality is used.}
 \end{center}   \end{figure}
Index: /trunk/DOC/TexFiles/Chapters/Chap_Model_Basics.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_Model_Basics.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_Model_Basics.tex	(revision 998)
@@ -80,5 +80,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!ht] \label{Fig_ocean_bc}  \begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_I_ocean_bc.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_I_ocean_bc.pdf}
 \caption{The ocean is bounded by two surfaces, $z=-H(i,j)$ and $z=\eta(i,j,k,t)$, where $H$ is the depth of the sea floor and $\eta$ the height of the sea surface. Both $H$ and $\eta $ are referenced to $z=0$.}
 \end{center}   \end{figure}
@@ -294,5 +294,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!tb] \label{Fig_referential}  \begin{center}
-\includegraphics[width=0.60\textwidth]{./Figures/Fig_I_earth_referential.pdf}
+\includegraphics[width=0.60\textwidth]{./TexFiles/Figures/Fig_I_earth_referential.pdf}
 \caption{the geographical coordinate system $(\lambda,\varphi,z)$ and the curvilinear coordinate system (\textbf{i},\textbf{j},\textbf{k}). }
 \end{center}   \end{figure}
@@ -616,5 +616,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!b] \label{Fig_z_zstar}  \begin{center}
-\includegraphics[width=1.0\textwidth]{./Figures/Fig_z_zstar.pdf}
+\includegraphics[width=1.0\textwidth]{./TexFiles/Figures/Fig_z_zstar.pdf}
 \caption{(a) $z$-coordinate in linear free-surface case ; (b) $z-$coordinate in non-linear free surface case (c) re-scaled height coordinate (become popular as the \textit{z*-}coordinate \citep{Adcroft_Campin_OM04} ).}
 \end{center}   \end{figure}
Index: /trunk/DOC/TexFiles/Chapters/Chap_TRA.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_TRA.tex	(revision 998)
@@ -103,5 +103,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_adv_scheme}  \begin{center}
-\includegraphics[width=0.9\textwidth]{./Figures/Fig_adv_scheme.pdf}
+\includegraphics[width=0.9\textwidth]{./TexFiles/Figures/Fig_adv_scheme.pdf}
 \caption{Schematic representation of some ways used to evaluate the tracer value 
 at $u$-point and the amount of tracer exchanged between two neighbouring grid 
@@ -836,5 +836,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_geothermal}  \begin{center}
-\includegraphics[width=1.0\textwidth]{./Figures/Fig_TRA_geoth.pdf}
+\includegraphics[width=1.0\textwidth]{./TexFiles/Figures/Fig_TRA_geoth.pdf}
 \caption{Geothermal Heat flux (in $mW.m^{-2}$) as inferred from the age 
 of the sea floor and the formulae of \citet{Stein1992}.}
@@ -933,5 +933,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_bbl}  \begin{center}
-\includegraphics[width=1.0\textwidth]{./Figures/Fig_BBL_adv.pdf}
+\includegraphics[width=1.0\textwidth]{./TexFiles/Figures/Fig_BBL_adv.pdf}
 \caption{Advective Bottom Boundary Layer.}
 \end{center}   \end{figure}
@@ -1235,5 +1235,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!p] \label{Fig_Partial_step_scheme}  \begin{center}
-\includegraphics[width=0.9\textwidth]{./Figures/Partial_step_scheme.pdf}
+\includegraphics[width=0.9\textwidth]{./TexFiles/Figures/Partial_step_scheme.pdf}
 \caption{ Discretisation of the horizontal difference and average of tracers in the $z$-partial step coordinate (\np{ln\_zps}=.true.) in the case $( e3w_k^{i+1} - e3w_k^i  )>0$. A linear interpolation is used to estimate $\widetilde{T}_k^{i+1}$, the tracer value at the depth of the shallower tracer point of the two adjacent bottom $T$-points. The horizontal difference is then given by: $\delta _{i+1/2} T_k=  \widetilde{T}_k^{\,i+1} -T_k^{\,i}$ and the average by: $\overline{T}_k^{\,i+1/2}= ( \widetilde{T}_k^{\,i+1/2} - T_k^{\,i} ) / 2$.  }
 \end{center}   \end{figure}
Index: /trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex
===================================================================
--- /trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 997)
+++ /trunk/DOC/TexFiles/Chapters/Chap_ZDF.tex	(revision 998)
@@ -190,5 +190,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_mixing_length}  \begin{center}
-\includegraphics[width=1.00\textwidth]{./Figures/Fig_mixing_length.pdf}
+\includegraphics[width=1.00\textwidth]{./TexFiles/Figures/Fig_mixing_length.pdf}
 \caption {Illustration of the mixing length computation. }
 \end{center}  
@@ -281,5 +281,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!htb] \label{Fig_npc}  	\begin{center}
-\includegraphics[width=0.90\textwidth]{./Figures/Fig_npc.pdf}
+\includegraphics[width=0.90\textwidth]{./TexFiles/Figures/Fig_npc.pdf}
 \caption {Example of an unstable density profile treated by the non penetrative 
 convective adjustment algorithm. $1^{st}$ step: the initial profile is checked from 
@@ -437,5 +437,5 @@
 %>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 \begin{figure}[!t] \label{Fig_zdfddm}  \begin{center}
-\includegraphics[width=0.99\textwidth]{./Figures/Fig_zdfddm.pdf}
+\includegraphics[width=0.99\textwidth]{./TexFiles/Figures/Fig_zdfddm.pdf}
 \caption {From \citet{Merryfield1999} : (a) Diapycnal diffusivities $A_f^{vT}$ 
 and $A_f^{vS}$ for temperature and salt in regions of salt fingering. Heavy 