Index: /trunk/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 999)
+++ /trunk/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 1000)
@@ -16,4 +16,5 @@
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   utau      !: sea surface i-stress (ocean referential)     [N/m2]
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   vtau      !: sea surface j-stress (ocean referential)     [N/m2]
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   wndm      !: 10m wind speed                               [m/s]
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qns       !: sea heat flux: non solar                     [W/m2]
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   qsr       !: sea heat flux:     solar                     [W/m2]
Index: /trunk/NEMO/OPA_SRC/SBC/sbcana.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 999)
+++ /trunk/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 1000)
@@ -35,5 +35,8 @@
    REAL(wp) ::   rn_qsr0   = 0.e0   !     solar heat flux
    REAL(wp) ::   rn_emp0   = 0.e0   ! net freshwater flux
-   
+ 
+   REAL(wp) ::   rhoa  = 1.22         ! Air density kg/m3
+   REAL(wp) ::   cdrag    = 1.5e-3       ! drag coefficient
+  
    !! * Substitutions
 #  include "domzgr_substitute.h90"
@@ -64,5 +67,7 @@
       INTEGER, INTENT(in) ::   kt       ! ocean time step
       !
-      REAL(wp)            ::   zfacto   ! local scalar
+      INTEGER             ::   ji, jj          ! dummy loop indices
+      REAL(wp)            ::   zfacto          ! local scalar
+      REAL(wp)            ::   ztx, zty, ztau  ! local scalar
       !!---------------------------------------------------------------------
       NAMELIST/namsbc_ana/ nn_tau000, rn_utau0, rn_vtau0, rn_qns0, rn_qsr0, rn_emp0
@@ -98,5 +103,18 @@
          vtau(:,:) = zfacto * rn_vtau0
       ENDIF
-      !   
+      !
+   
+      ! Estimation of wind speed as a function of wind stress
+!CDIR NOVERRCHK
+      DO jj = 1, jpj
+!CDIR NOVERRCHK
+         DO ji = 1, jpi
+            ztx  = utau(ji,jj) * umask(ji,jj,1)
+            zty  = vtau(ji,jj) * vmask(ji,jj,1)
+            ztau = SQRT( ztx * ztx + zty * zty )
+            wndm(ji,jj) = SQRT ( ztau / ( rhoa * cdrag ) )
+         ENDDO
+      ENDDO
+
    END SUBROUTINE sbc_ana
 
@@ -133,4 +151,5 @@
       REAL(wp) ::   zcos_sais1, zcos_sais2, ztrp, zconv, t_star
       REAL(wp) ::   zsumemp, zsurf
+      REAL(wp) ::   ztx, zty
       !!---------------------------------------------------------------------
          
@@ -248,4 +267,16 @@
          END DO
       END DO
+
+      ! Estimation of wind speed as a function of wind stress
+!CDIR NOVERRCHK
+      DO jj = 1, jpj
+!CDIR NOVERRCHK
+         DO ji = 1, jpi
+            ztx  = utau(ji,jj) * umask(ji,jj,1)
+            zty  = vtau(ji,jj) * vmask(ji,jj,1)
+            ztau = SQRT( ztx * ztx + zty * zty )
+            wndm(ji,jj) = SQRT ( ztau / ( rhoa * cdrag ) )
+         ENDDO
+      ENDDO
 
       ! ---------------------------------- !
Index: /trunk/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 999)
+++ /trunk/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 1000)
@@ -294,4 +294,15 @@
       END DO
 
+      !------------------------------------!
+      !   store the wind speed  (wndm )    !
+      !------------------------------------!
+!CDIR COLLAPSE
+      DO jj = 1 , jpj
+         DO ji = 1, jpi
+            wndm(ji,jj) = sf(jp_wndm)%fnow(ji,jj)
+         END DO
+      END DO
+
+
       !------------------------------------------------!
       !   Shortwave radiation for ocean and snow/ice   !
Index: /trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 999)
+++ /trunk/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 1000)
@@ -247,4 +247,15 @@
       !      0   Wind components and module at T-point relative to the moving ocean   !
       ! ----------------------------------------------------------------------------- !
+
+      ! Store the wind speed U10m
+!CDIR NOVERRCHK
+!CDIR COLLAPSE
+      DO jj = 1, jpj
+         DO ji = 1, jpi   ! vect. opt.
+            wndm(ji,jj) = SQRT(  sf(jp_wndi)%fnow(ji,jj) * sf(jp_wndi)%fnow(ji,jj)   &
+         &                     + sf(jp_wndj)%fnow(ji,jj) * sf(jp_wndj)%fnow(ji,jj) )
+         ENDDO
+      ENDDO
+
       ! ... components ( U10m - U_oce ) at T-point (unmasked)
       zwnd_i(:,:) = 0.e0  
Index: /trunk/NEMO/OPA_SRC/SBC/sbcflx.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 999)
+++ /trunk/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 1000)
@@ -50,4 +50,7 @@
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   sf    ! structure of input fields (file informations, fields read)
 
+   REAL(wp) ::   rhoa  = 1.22         ! Air density kg/m3
+   REAL(wp) ::   cdrag = 1.5e-3       ! drag coefficient
+
    !! * Substitutions
 #  include "domzgr_substitute.h90"
@@ -96,4 +99,5 @@
       INTEGER  ::   ierror       ! return error code
       REAL(wp) ::   zfact        ! temporary scalar
+      REAL(wp) ::   ztx, zty, ztau
       !!
       CHARACTER(len=100) ::  cn_dir                               ! Root directory for location of flx files
@@ -179,4 +183,16 @@
       END DO
 
+      ! Estimation of wind speed as a function of wind stress
+!CDIR NOVERRCHK
+      DO jj = 1, jpj
+!CDIR NOVERRCHK
+         DO ji = 1, jpi
+            ztx  = utau(ji,jj) * umask(ji,jj,1)
+            zty  = vtau(ji,jj) * vmask(ji,jj,1)
+            ztau = SQRT( ztx * ztx + zty * zty )
+            wndm(ji,jj) = SQRT ( ztau / ( rhoa * cdrag ) )
+         ENDDO
+      ENDDO
+
       ! control print (if less than 100 time-step asked)
       IF( nitend-nit000 <= 100 .AND. lwp ) THEN