Index: trunk/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90
===================================================================
--- trunk/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 1004)
+++ trunk/NEMO/TOP_SRC/LOBSTER/trcini_lobster.F90	(revision 1005)
@@ -19,4 +19,5 @@
    USE sms             ! Source Minus Sink variables
    USE oce_trc         ! ocean variables
+   USE trc
 
    IMPLICIT NONE
@@ -142,4 +143,119 @@
       END DO
       !
+
+      ! Initialization of tracer concentration in case of  no restart 
+      !-------------------------------------------------------------
+      IF( .NOT. lrsttr ) THEN    
+
+# if defined key_eel_r6 || defined key_eel_r2
+         ! LOBSTER initialisation for EEL
+         ! ----------------------
+         ! here: analytical initialisation used in Levy et al. (2001)
+         
+         DO jk = 1, 7
+            trn(:,:,jk,jpdet) = 0.016 * tmask(:,:,jk)
+            trn(:,:,jk,jpzoo) = 0.018 * tmask(:,:,jk)
+            trn(:,:,jk,jpphy) = 0.036 * tmask(:,:,jk) 
+            trn(:,:,jk,jpno3) = 1.e-5 * tmask(:,:,jk)
+            trn(:,:,jk,jpnh4) = 5.e-4 * tmask(:,:,jk)
+            trn(:,:,jk,jpdom) = 0.017 * tmask(:,:,jk)
+         END DO
+         
+         trn(:,:, 8,jpdet) = 0.020   * tmask(:,:, 8)
+         trn(:,:, 8,jpzoo) = 0.027   * tmask(:,:, 8)
+         trn(:,:, 8,jpphy) = 0.041   * tmask(:,:, 8)
+         trn(:,:, 8,jpno3) = 0.00022 * tmask(:,:, 8)
+         trn(:,:, 8,jpnh4) = 0.0033  * tmask(:,:, 8)
+         trn(:,:, 8,jpdom) = 0.021   * tmask(:,:, 8)
+         
+         trn(:,:, 9,jpdet) = 0.0556  * tmask(:,:, 9)
+         trn(:,:, 9,jpzoo) = 0.123   * tmask(:,:, 9)
+         trn(:,:, 9,jpphy) = 0.122   * tmask(:,:, 9)
+         trn(:,:, 9,jpno3) = 0.028   * tmask(:,:, 9)
+         trn(:,:, 9,jpnh4) = 0.024   * tmask(:,:, 9)
+         trn(:,:, 9,jpdom) = 0.06    * tmask(:,:, 9)
+         
+         trn(:,:,10,jpdet) = 0.025   * tmask(:,:,10)
+         trn(:,:,10,jpzoo) = 0.016   * tmask(:,:,10)
+         trn(:,:,10,jpphy) = 0.029   * tmask(:,:,10)
+         trn(:,:,10,jpno3) = 2.462   * tmask(:,:,10)
+         trn(:,:,10,jpnh4) = 0.04    * tmask(:,:,10)
+         trn(:,:,10,jpdom) = 0.022   * tmask(:,:,10)
+         
+         trn(:,:,11,jpdet) = 0.0057  * tmask(:,:,11)
+         trn(:,:,11,jpzoo) = 0.0005  * tmask(:,:,11)
+         trn(:,:,11,jpphy) = 0.0006  * tmask(:,:,11)
+         trn(:,:,11,jpno3) = 3.336   * tmask(:,:,11)
+         trn(:,:,11,jpnh4) = 0.005   * tmask(:,:,11)
+         trn(:,:,11,jpdom) = 0.004   * tmask(:,:,11)
+         
+         trn(:,:,12,jpdet) = 0.002   * tmask(:,:,12)
+         trn(:,:,12,jpzoo) = 1.e-6   * tmask(:,:,12)
+         trn(:,:,12,jpphy) = 5.e-6   * tmask(:,:,12)
+         trn(:,:,12,jpno3) = 4.24    * tmask(:,:,12)
+         trn(:,:,12,jpnh4) = 0.001   * tmask(:,:,12)
+         trn(:,:,12,jpdom) = 3.e-5   * tmask(:,:,12)
+         
+         DO jk=13,jpk
+            trn(:,:,jk,jpdet) = 0.e0
+            trn(:,:,jk,jpzoo) = 0.e0
+            trn(:,:,jk,jpphy) = 0.e0
+            trn(:,:,jk,jpnh4) = 0.e0
+            trn(:,:,jk,jpdom) = 0.e0
+         END DO
+         
+         trn(:,:,13,jpno3) = 5.31  * tmask(:,:,13)
+         trn(:,:,14,jpno3) = 6.73  * tmask(:,:,14)
+         trn(:,:,15,jpno3) = 8.32  * tmask(:,:,15)
+         trn(:,:,16,jpno3) = 10.13 * tmask(:,:,16)
+         trn(:,:,17,jpno3) = 11.95 * tmask(:,:,17)
+         trn(:,:,18,jpno3) = 13.57 * tmask(:,:,18)
+         trn(:,:,19,jpno3) = 15.08 * tmask(:,:,19)
+         trn(:,:,20,jpno3) = 16.41 * tmask(:,:,20)
+         trn(:,:,21,jpno3) = 17.47 * tmask(:,:,21)
+         trn(:,:,22,jpno3) = 18.29 * tmask(:,:,22)
+         trn(:,:,23,jpno3) = 18.88 * tmask(:,:,23)
+         trn(:,:,24,jpno3) = 19.30 * tmask(:,:,24)
+         trn(:,:,25,jpno3) = 19.68 * tmask(:,:,25)
+         trn(:,:,26,jpno3) = 19.91 * tmask(:,:,26)
+         trn(:,:,27,jpno3) = 19.99 * tmask(:,:,27)
+         trn(:,:,28,jpno3) = 20.01 * tmask(:,:,28)
+         trn(:,:,29,jpno3) = 20.01 * tmask(:,:,29)
+         trn(:,:,30,jpno3) = 20.01 * tmask(:,:,30)
+
+# elif defined key_gyre
+         ! LOBSTER initialisation for GYRE
+         ! ----------------------
+         ! here:  init NO3=f(density) by asklod AS Kremeur 2005-07
+         trn(:,:,:,jpdet) = 0.1 * tmask(:,:,:)
+         trn(:,:,:,jpzoo) = 0.1 * tmask(:,:,:)
+         trn(:,:,:,jpnh4) = 0.1 * tmask(:,:,:)
+         trn(:,:,:,jpphy) = 0.1 * tmask(:,:,:)
+         trn(:,:,:,jpdom) = 1.0 * tmask(:,:,:)
+         DO jk = 1, jpk
+            DO jj = 1, jpj
+               DO ji = 1, jpi
+                  IF( rhd(ji,jj,jk) <= 24.5e-3 ) THEN
+                     trn(ji,jj,jk,jpno3) = 2. * tmask(ji,jj,jk)
+                  ELSE
+                     trn(ji,jj,jk,jpno3) = ( 15.55 * ( rhd(ji,jj,jk) * 1000. ) - 380.11 ) * tmask(ji,jj,jk)
+                  ENDIF
+               END DO
+            END DO
+         END DO
+#endif
+
+      ENDIF
+
+      !  initialize the POC in sediments
+      sedpocb(:,:) = 0.e0
+      sedpocn(:,:) = 0.e0
+      sedpoca(:,:) = 0.e0
+
+
+      IF(lwp) WRITE(numout,*) 'Initialization of LOBSTER tracers done'
+      IF(lwp) WRITE(numout,*) ' '
+
+
    END SUBROUTINE trc_ini_lobster
 
Index: trunk/NEMO/TOP_SRC/LOBSTER/trclsm_lobster.F90
===================================================================
--- trunk/NEMO/TOP_SRC/LOBSTER/trclsm_lobster.F90	(revision 1004)
+++ trunk/NEMO/TOP_SRC/LOBSTER/trclsm_lobster.F90	(revision 1005)
@@ -62,5 +62,5 @@
       !                               ! Open the namelist file
       !                               ! ----------------------
-      clname ='namelist.trc.sms'
+      clname ='namelist.sms.lobster'
       CALL ctlopn( numnat, clname, 'OLD', 'FORMATTED', 'SEQUENTIAL',   &
          &           1, numout, .FALSE., 1 )
Index: trunk/NEMO/TOP_SRC/LOBSTER/trcsed.F90
===================================================================
--- trunk/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 1004)
+++ trunk/NEMO/TOP_SRC/LOBSTER/trcsed.F90	(revision 1005)
@@ -79,5 +79,5 @@
       ! tracer flux at w-point: we use -vsed (downward flux)  with simplification : no e1*e2
 
-      DO jk = 2, jpkm1
+      DO jk = 2, jpk
          zwork(:,:,jk) = -vsed * trn(:,:,jk-1,jpdet)
       END DO