Index: trunk/NEMO/TOP_SRC/PISCES/p4zflx.F90
===================================================================
--- trunk/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 1006)
+++ trunk/NEMO/TOP_SRC/PISCES/p4zflx.F90	(revision 1007)
@@ -33,8 +33,4 @@
      atcco2 = 278.           !:
 
-   REAL(wp) ::   &
-     xrhoa  = 1.22   ,   &   !: Air density kg/m3
-     xcd    = 1.5e-3         !: drag coefficient
-
    REAL(wp) :: &
      tco2flx = 0.            !: Total flux of carbon per year
@@ -60,5 +56,5 @@
       INTEGER, INTENT(in) :: kt
       INTEGER  ::   ji, jj, jrorr, nspyr
-      REAL(wp) ::   zttc, ztx, zty, ztau, zws, zkgwan
+      REAL(wp) ::   zttc, zws, zkgwan
       REAL(wp) ::   zfld, zflu, zfld16, zflu16, zfact
       REAL(wp) ::   zph, zah2, zbot, zdic, zalk, zschmitto2, zalka, zschmittco2
@@ -131,9 +127,6 @@
             zschmitto2  = 1953.4 - 128.0 * zttc + 3.9918 * zttc**2 - 0.050091 * zttc**3
 
-            ! Estimation of wind speed as a function of wind stress
-            ztx  = utau(ji,jj) * umask(ji,jj,1)
-            zty  = vtau(ji,jj) * vmask(ji,jj,1)
-            ztau = SQRT( ztx * ztx + zty * zty )
-            zws  = SQRT ( ztau / ( xrhoa * xcd ) )
+            !  wind speed 
+            zws  = wndm(ji,jj)
 
       ! Compute the piston velocity for O2 and CO2
Index: trunk/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- trunk/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 1006)
+++ trunk/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 1007)
@@ -18,8 +18,9 @@
    USE par_trc         ! TOP parameters
    USE sms             ! Source Minus Sink variables
+   USE trc
    USE oce_trc         ! ocean variables
    USE trp_trc         !
    USE p4zche 
-
+   USE lib_mpp
 
    IMPLICIT NONE
@@ -28,4 +29,13 @@
    PUBLIC   trc_ini_pisces   ! called by trcini.F90 module
 
+   !! * Module variables
+   REAL(wp) :: &
+      sco2   =  2.312e-3         , &
+      alka0  =  2.423e-3         , &
+      oxyg0  =  177.6e-6         , &
+      po4    =  2.174e-6         , &
+      bioma0 =  1.000e-8         , &
+      silic1 =  91.65e-6         , &
+      no3    =  31.04e-6 * 7.6
 
 #  include "domzgr_substitute.h90"
@@ -45,5 +55,7 @@
       !! ** Purpose :   Initialisation of the PISCES biochemical model
       !!----------------------------------------------------------------------
-      INTEGER ::   jk
+      INTEGER ::   ji, jj, jk, jn
+      REAL(wp) ::  caralk, bicarb, co3
+
 
       !!----------------------------------------------------------------------
@@ -65,7 +77,5 @@
 
 
-      !----------------------------------------------------------------------
-      ! Initialize biological variables 
-      !----------------------------------------------------------------------
+
       ! Set biological ratios
       ! ---------------------
@@ -80,5 +90,64 @@
       ndayflxtr = 0      !  Initialize a counter for the computation of chemistry
 
-      IF(lwp) WRITE(numout,*) ' Initialisation of PISCES done'
+      ! Initialization of tracer concentration in case of  no restart 
+      !--------------------------------------------------------------
+      IF( .NOT. lrsttr ) THEN  
+         
+         trn(:,:,:,jpdic) = sco2
+         trn(:,:,:,jpdoc) = bioma0
+         trn(:,:,:,jptal) = alka0
+         trn(:,:,:,jpoxy) = oxyg0
+         trn(:,:,:,jpcal) = bioma0
+         trn(:,:,:,jppo4) = po4 / po4r
+         trn(:,:,:,jppoc) = bioma0
+#  if ! defined key_kriest
+         trn(:,:,:,jpgoc) = bioma0
+         trn(:,:,:,jpbfe) = bioma0 * 5.e-6
+#  else
+         trn(:,:,:,jpnum) = bioma0 / ( 6. * xkr_massp )
+#  endif
+         trn(:,:,:,jpsil) = silic1
+         trn(:,:,:,jpbsi) = bioma0 * 0.15
+         trn(:,:,:,jpdsi) = bioma0 * 5.e-6
+         trn(:,:,:,jpphy) = bioma0
+         trn(:,:,:,jpdia) = bioma0
+         trn(:,:,:,jpzoo) = bioma0
+         trn(:,:,:,jpmes) = bioma0
+         trn(:,:,:,jpfer) = 0.6E-9
+         trn(:,:,:,jpsfe) = bioma0 * 5.e-6
+         trn(:,:,:,jpdfe) = bioma0 * 5.e-6
+         trn(:,:,:,jpnfe) = bioma0 * 5.e-6
+         trn(:,:,:,jpnch) = bioma0 * 12. / 55.
+         trn(:,:,:,jpdch) = bioma0 * 12. / 55.
+         trn(:,:,:,jpno3) = no3
+         trn(:,:,:,jpnh4) = bioma0
+
+         ! Initialization of chemical variables of the carbon cycle
+         ! --------------------------------------------------------
+         DO jk = 1, jpk
+            DO jj = 1, jpj
+               DO ji = 1, jpi
+                  caralk = trn(ji,jj,jk,jptal) - borat(ji,jj,jk) / (  1. + 1.E-8 / ( rtrn + akb3(ji,jj,jk) )  )
+                  co3    = ( caralk - trn(ji,jj,jk,jpdic) ) *        tmask(ji,jj,jk)   &
+                     &   +                  0.5e-3          * ( 1. - tmask(ji,jj,jk) )
+                  bicarb = ( 2. * trn(ji,jj,jk,jpdic) - caralk )
+                  hi(ji,jj,jk) = ( ak23(ji,jj,jk) * bicarb / co3 ) *        tmask(ji,jj,jk)   &
+                     &         +            1.e-9                  * ( 1. - tmask(ji,jj,jk) )
+               END DO
+            END DO
+         END DO
+         
+      ENDIF
+
+
+
+      ! initialize the half saturation constant for silicate
+      ! ----------------------------------------------------
+      xksi(:,:)    = 2.e-6
+      xksimax(:,:) = xksi(:,:)
+
+      IF(lwp) WRITE(numout,*) 'Initialization of PISCES tracers done'
+      IF(lwp) WRITE(numout,*) ' '
+
       !
    END SUBROUTINE trc_ini_pisces
Index: trunk/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90
===================================================================
--- trunk/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 1006)
+++ trunk/NEMO/TOP_SRC/PISCES/trclsm_pisces.F90	(revision 1007)
@@ -61,5 +61,5 @@
       !                               ! Open the namelist file
       !                               ! ----------------------
-      clname ='namelist.trc.sms'
+      clname ='namelist.sms.pisces'
       CALL ctlopn( numnat, clname, 'OLD', 'FORMATTED', 'SEQUENTIAL',   &
          &           1, numout, .FALSE., 1 )