Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.sms.lobster
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.sms.lobster	(revision 1016)
+++ trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.sms.lobster	(revision 1016)
@@ -0,0 +1,185 @@
+!
+! OPA MODEL specific namelist for LOBSTER1 model (#ifdef key_trc_lobster1)
+! ---------
+!
+!       NATBIO   biological parameters
+!
+! PHYTOPLANKTON
+!  apmin     fixed phytoplancton concentration, mmol/m3
+!  tmumax    maximal phytoplankton growth rate, 2.00/86400 s-1 = 2.314815e-5,
+!  rgamma    phytoplankton exudation fraction, %
+!  fphylab   NH4 fraction of phytoplankton exsudation
+!  tmmaxp    maximal phytoplancton mortality rate, 0.
+!  tmminp    minimal phytoplancton mortality rate, 0.05/86400 s-1 = 20 jours
+!  rcchl     Carbone/Chlorophyl ratio, 60 mgC.mgChla-1
+!  aki       light photosynthesis half saturation constant 6.18 W/m2
+!  toptp     optimal photosynthesis temperature
+!
+! NUTRIENTS
+!  anmin  minimum nutrients concentration, mmol/m3
+!  akno3  nitrate limitation half-saturation value, mmol/m3
+!  aknh4  ammonium limitation half-saturation value, mmol/m3
+!  taunn  nitrification rate, s-1
+!  psinut inhibition of nitrate uptake by ammonium
+!
+! ZOOPLANKTON
+!  azmin  minimum zooplancton concentration, mmol/m3
+!  eggzoo minimum for zooplankton concentration, mmolN.m-3, egg effect
+!  rgz    ivlev coeff for zoo mortality 
+!  rppz   zooplankton nominal preference for phytoplancton food, %
+!  taus   specific zooplankton maximal grazing rate, s-1
+!         0.75/86400 s-1=8.680555E-6    1/86400 = 1.15e-5
+!  aks    half-saturation constant for total zooplankton grazing,
+!         mmolN.m-3
+!  rpnaz  non-assimilated phytoplankton by zooplancton, %
+!  rdnaz  non-assimilated detritus by zooplankton, %
+!  tauzn  zooplancton specific excretion rate, 0.1/86400 s-1 = 10 jours
+!  fzoolab NH4 fraction of zooplankton excretion
+!  fdbod  zooplankton mortality fraction that goes to detritus
+!  tmmaxz maximal zooplankton mortality rate
+!  tmminz minimal zooplankton mortality rate,  1 (mmolN/m3)-1 d-1
+!
+! DETRITUS
+!  admin    minimum detritus concentration, mmol/m3
+!  taudn    detritus breakdown rate, 0.1/86400 s-1 = 10 jours
+!  fdetlab  NH4 fraction of detritus dissolution
+!  vsed     detritus sedimentation speed, m/s
+!
+! DOM
+!  taudomn DOM breakdown rate, s-1
+!          slow remineralization rate of semi-labile dom to nh4 (1 month)
+!
+! DIC, ALK
+!  rhocaco3 rain ratio organic carbon vs caco3
+!
+! COEF FOR FLUXES FROM THE APHOTIC LAYER TO THE SEDIMENTS
+!  sedlam     : time coefficient of POC remineralization in sediments, s-1
+!  sedlostpoc : mass of POC lost in sediments
+!  sedcallam  : time coefficient of CaCO3 remineralization in sediments
+!  sedlostcal : mass of CaCO3 lost in sediments
+!
+! GENERAL COEFFICIENTS
+!  redf     redfield ratio (C:N) for phyto
+!  reddom   redfield ratio (C:N) for DOM
+!  redfoxy  redfield ratio (O:N)
+!  slopet   van t Hoff "coefficient"          
+!  tmaxr    maximal damping coeff under euphotic layer, 0.
+!  tminr    minimal damping coeff under euphotic layer
+!  xhr      coeff for martin''s remineralisation profile
+!  xhrc     coeff for martin''s remineralisation profile for CaCO3
+!
+! COEF USED ?
+!  xzki      = 1. ki varies with depth, =0. ki = cte = aki
+!  filmax
+!  toptgz
+!  tmaxgz
+!  anumin
+!  afdmin
+!   rhocaco3 = 0.1
+!   sedcallam = 0.
+!   sedlostcal = 0.
+!   redfoxy = 10.75,
+!   xhrc  = -0.1,
+! avant 21-10-2005:
+!   reddom = 12.
+!
+&natbio
+   apmin = 0.,
+   tmumax= 1.21e-5
+   rgamma= 0.05
+   fphylab = 0.75
+   tmmaxp= 0.0
+   tmminp= 5.8e-7
+   rcchl = 60.
+   aki   = 33.
+   toptp = 0.
+
+   anmin = 0.
+   akno3 = 0.7
+   aknh4 = 0.001
+   taunn = 5.80e-7
+   psinut = 3.
+
+   azmin = 0.
+   eggzoo= 0.0
+   rgz   = 0.
+   rppz  = 0.8
+   taus  = 9.26E-6
+   aks   = 1.
+   rpnaz = 0.3
+   rdnaz = 0.3
+   tauzn = 8.1e-7
+   fzoolab = 0.5
+   fdbod = 0.5
+   tmmaxz= 0.
+   tmminz= 2.31e-6
+
+   admin = 0.
+   taudn = 5.80e-7
+   fdetlab = 0.
+   vsed  = 3.47e-5
+
+   taudomn = 6.43e-8
+
+   sedlam = 3.86e-7
+   sedlostpoc = 0.
+
+   redf  = 6.56
+   reddom = 6.56
+   slopet = 0.
+   tmaxr = 0.
+   tminr = 5.80e-7
+   xhr   = -0.858
+
+   filmax= 0.
+   toptgz= 0.
+   tmaxgz= 0.
+   anumin= 0.
+   afdmin= 0.
+/
+!
+!       NATOPT   optical parameters
+!
+!  xkg0  green absorption coefficient of water
+!  xkr0  red absorption coefficent of water
+!  xkgp  green absorption coefficient of chl
+!  xkrp  red absorption coefficient of chl
+!  xlg   green chl exposant for absorption
+!  xlr   red chl exposant for absorption
+!  rpig  chla/chla+pheo ratio
+!
+&natopt
+   xkg0  = 0.0232
+   xkr0  = 0.225
+   xkgp  = 0.074
+   xkrp  = 0.037
+   xlg   = 0.674
+   xlr   = 0.629
+   rpig  = 0.7
+/
+!
+!       NATDBI   biological diagnostics trends (#ifdef key_trc_diabio)
+!
+!  nwritebio : time step frequency for biological outputs (48 : 1/jour)
+!  ctrbio short title (max 8 characters) for biological trends
+!  ctrbil long title (max 80 characters) for biological trends
+!  ctrbiu unit for biological trends
+!
+ &NATDBI
+   nwritebio =  36
+   ctrbio(1) = 'FNO3PHY'
+   ctrbio(2) = 'FNH4PHY'
+   ctrbio(3) = 'FPHYZOO'
+   ctrbil(1) = 'New primary production'
+   ctrbil(2) = 'Regenerated primary production'
+   ctrbil(3) = 'Grazing'
+   ctrbiu(1) = 'mmole/m3/s'
+   ctrbiu(2) = 'mmole/m3/s'
+   ctrbiu(3) = 'mmole/m3/s'
+ &END
+!
+! &NATGAS
+!   gasfac = 1.7, 
+!   igaswind = 2
+!   icice = 2 
+! &END
Index: trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.trc.sms
===================================================================
--- trunk/CONFIG/GYRE_LOBSTER/EXP00/namelist.trc.sms	(revision 987)
+++ 	(revision )
@@ -1,185 +1,0 @@
-!
-! OPA MODEL specific namelist for LOBSTER1 model (#ifdef key_trc_lobster1)
-! ---------
-!
-!       NATBIO   biological parameters
-!
-! PHYTOPLANKTON
-!  apmin     fixed phytoplancton concentration, mmol/m3
-!  tmumax    maximal phytoplankton growth rate, 2.00/86400 s-1 = 2.314815e-5,
-!  rgamma    phytoplankton exudation fraction, %
-!  fphylab   NH4 fraction of phytoplankton exsudation
-!  tmmaxp    maximal phytoplancton mortality rate, 0.
-!  tmminp    minimal phytoplancton mortality rate, 0.05/86400 s-1 = 20 jours
-!  rcchl     Carbone/Chlorophyl ratio, 60 mgC.mgChla-1
-!  aki       light photosynthesis half saturation constant 6.18 W/m2
-!  toptp     optimal photosynthesis temperature
-!
-! NUTRIENTS
-!  anmin  minimum nutrients concentration, mmol/m3
-!  akno3  nitrate limitation half-saturation value, mmol/m3
-!  aknh4  ammonium limitation half-saturation value, mmol/m3
-!  taunn  nitrification rate, s-1
-!  psinut inhibition of nitrate uptake by ammonium
-!
-! ZOOPLANKTON
-!  azmin  minimum zooplancton concentration, mmol/m3
-!  eggzoo minimum for zooplankton concentration, mmolN.m-3, egg effect
-!  rgz    ivlev coeff for zoo mortality 
-!  rppz   zooplankton nominal preference for phytoplancton food, %
-!  taus   specific zooplankton maximal grazing rate, s-1
-!         0.75/86400 s-1=8.680555E-6    1/86400 = 1.15e-5
-!  aks    half-saturation constant for total zooplankton grazing,
-!         mmolN.m-3
-!  rpnaz  non-assimilated phytoplankton by zooplancton, %
-!  rdnaz  non-assimilated detritus by zooplankton, %
-!  tauzn  zooplancton specific excretion rate, 0.1/86400 s-1 = 10 jours
-!  fzoolab NH4 fraction of zooplankton excretion
-!  fdbod  zooplankton mortality fraction that goes to detritus
-!  tmmaxz maximal zooplankton mortality rate
-!  tmminz minimal zooplankton mortality rate,  1 (mmolN/m3)-1 d-1
-!
-! DETRITUS
-!  admin    minimum detritus concentration, mmol/m3
-!  taudn    detritus breakdown rate, 0.1/86400 s-1 = 10 jours
-!  fdetlab  NH4 fraction of detritus dissolution
-!  vsed     detritus sedimentation speed, m/s
-!
-! DOM
-!  taudomn DOM breakdown rate, s-1
-!          slow remineralization rate of semi-labile dom to nh4 (1 month)
-!
-! DIC, ALK
-!  rhocaco3 rain ratio organic carbon vs caco3
-!
-! COEF FOR FLUXES FROM THE APHOTIC LAYER TO THE SEDIMENTS
-!  sedlam     : time coefficient of POC remineralization in sediments, s-1
-!  sedlostpoc : mass of POC lost in sediments
-!  sedcallam  : time coefficient of CaCO3 remineralization in sediments
-!  sedlostcal : mass of CaCO3 lost in sediments
-!
-! GENERAL COEFFICIENTS
-!  redf     redfield ratio (C:N) for phyto
-!  reddom   redfield ratio (C:N) for DOM
-!  redfoxy  redfield ratio (O:N)
-!  slopet   van t Hoff "coefficient"          
-!  tmaxr    maximal damping coeff under euphotic layer, 0.
-!  tminr    minimal damping coeff under euphotic layer
-!  xhr      coeff for martin''s remineralisation profile
-!  xhrc     coeff for martin''s remineralisation profile for CaCO3
-!
-! COEF USED ?
-!  xzki      = 1. ki varies with depth, =0. ki = cte = aki
-!  filmax
-!  toptgz
-!  tmaxgz
-!  anumin
-!  afdmin
-!   rhocaco3 = 0.1
-!   sedcallam = 0.
-!   sedlostcal = 0.
-!   redfoxy = 10.75,
-!   xhrc  = -0.1,
-! avant 21-10-2005:
-!   reddom = 12.
-!
-&natbio
-   apmin = 0.,
-   tmumax= 1.21e-5
-   rgamma= 0.05
-   fphylab = 0.75
-   tmmaxp= 0.0
-   tmminp= 5.8e-7
-   rcchl = 60.
-   aki   = 33.
-   toptp = 0.
-
-   anmin = 0.
-   akno3 = 0.7
-   aknh4 = 0.001
-   taunn = 5.80e-7
-   psinut = 3.
-
-   azmin = 0.
-   eggzoo= 0.0
-   rgz   = 0.
-   rppz  = 0.8
-   taus  = 9.26E-6
-   aks   = 1.
-   rpnaz = 0.3
-   rdnaz = 0.3
-   tauzn = 8.1e-7
-   fzoolab = 0.5
-   fdbod = 0.5
-   tmmaxz= 0.
-   tmminz= 2.31e-6
-
-   admin = 0.
-   taudn = 5.80e-7
-   fdetlab = 0.
-   vsed  = 3.47e-5
-
-   taudomn = 6.43e-8
-
-   sedlam = 3.86e-7
-   sedlostpoc = 0.
-
-   redf  = 6.56
-   reddom = 6.56
-   slopet = 0.
-   tmaxr = 0.
-   tminr = 5.80e-7
-   xhr   = -0.858
-
-   filmax= 0.
-   toptgz= 0.
-   tmaxgz= 0.
-   anumin= 0.
-   afdmin= 0.
-/
-!
-!       NATOPT   optical parameters
-!
-!  xkg0  green absorption coefficient of water
-!  xkr0  red absorption coefficent of water
-!  xkgp  green absorption coefficient of chl
-!  xkrp  red absorption coefficient of chl
-!  xlg   green chl exposant for absorption
-!  xlr   red chl exposant for absorption
-!  rpig  chla/chla+pheo ratio
-!
-&natopt
-   xkg0  = 0.0232
-   xkr0  = 0.225
-   xkgp  = 0.074
-   xkrp  = 0.037
-   xlg   = 0.674
-   xlr   = 0.629
-   rpig  = 0.7
-/
-!
-!       NATDBI   biological diagnostics trends (#ifdef key_trc_diabio)
-!
-!  nwritebio : time step frequency for biological outputs (48 : 1/jour)
-!  ctrbio short title (max 8 characters) for biological trends
-!  ctrbil long title (max 80 characters) for biological trends
-!  ctrbiu unit for biological trends
-!
- &NATDBI
-   nwritebio =  36
-   ctrbio(1) = 'FNO3PHY'
-   ctrbio(2) = 'FNH4PHY'
-   ctrbio(3) = 'FPHYZOO'
-   ctrbil(1) = 'New primary production'
-   ctrbil(2) = 'Regenerated primary production'
-   ctrbil(3) = 'Grazing'
-   ctrbiu(1) = 'mmole/m3/s'
-   ctrbiu(2) = 'mmole/m3/s'
-   ctrbiu(3) = 'mmole/m3/s'
- &END
-!
-! &NATGAS
-!   gasfac = 1.7, 
-!   igaswind = 2
-!   icice = 2 
-! &END