Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist.sms.pisces
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist.sms.pisces	(revision 1019)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist.sms.pisces	(revision 1019)
@@ -0,0 +1,226 @@
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+! General namelist for PISCES model
+! -------------
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!
+!-----------------------------------------------------------------------
+!   natext   air-sea exchange
+!-----------------------------------------------------------------------
+!   atcco2 : atmospheric pCO2
+!
+&natext
+   atcco2 = 278.,
+/
+!-----------------------------------------------------------------------
+!   natbio   biological parameters
+!-----------------------------------------------------------------------
+!  part        part of calcite not dissolved in guts
+!  nrdttrc     time step frequency for biology
+!  wsbio       POC sinking speed
+!  xkmort      half saturation constant for mortality
+!  ferat3      Fe/C in zooplankton
+!  wsbio2      Big particles sinking speed
+!
+&natbio
+   part       =  0.85,
+   nrdttrc    =  4,
+   wsbio      =  2. ,
+   xkmort     =  1.E-7 ,
+   ferat3     =  3.E-6,
+   wsbio2     =  50.,
+/
+!-----------------------------------------------------------------------
+!   natlim   parameters for nutrient limitations
+!-----------------------------------------------------------------------
+!  conc0       Phosphate half saturation
+!  conc1       Phosphate half saturation for diatoms
+!  conc2       Iron half saturation for phyto
+!  conc3       Iron half saturation for diatoms
+!  concnnh4    NH4 half saturation for phyto
+!  concdnh4    NH4 half saturation for diatoms
+!  xksi1       half saturation constant for Si uptake
+!  xksi2       half saturation constant for Si/C
+!  xkdoc       half-saturation constant of DOC remineralization
+!  caco3r      mean rain ratio
+&natlim
+   conc0      =  2.e-6,
+   conc1      =  10E-6 ,
+   conc2      =  0.02E-9 ,
+   conc2m     =  0.08E-9,
+   conc3      =  0.1E-9 ,
+   conc3m     =  0.4E-9,
+   concnnh4   =  1.E-7,
+   concdnh4   =  5.E-7,
+   xksi1      =  2.E-6 ,
+   xksi2      =  3.33E-6 ,
+   xkdoc      =  417.E-6 ,
+   caco3r     =  0.3,
+/
+!-----------------------------------------------------------------------
+!   natprod   parameters for phytoplankton growth
+!-----------------------------------------------------------------------
+!  pislope     P-I slope
+!  pislope2    P-I slope  for diatoms
+!  excret      excretion ratio of phytoplankton
+!  excret2     excretion ratio of diatoms
+!  chlcnm      Minimum Chl/C in nanophytoplankton
+!  chlcdm      Minimum Chl/C in diatoms
+!  fecnm       Maximum Fe/C in nanophytoplankton
+!  fecdm       Minimum Fe/C in diatoms
+!  grosip      mean Si/C ratio
+&natprod
+   pislope    =  4. ,
+   pislope2   =  4. ,
+   excret     =  0.05 ,
+   excret2    =  0.05 ,
+   chlcnm     =  0.033,
+   chlcdm     =  0.05,
+   fecnm      =  10E-6,
+   fecdm      =  15E-6,
+   grosip     =  0.151,
+/
+!-----------------------------------------------------------------------
+!   natmort   parameters for phytoplankton sinks
+!-----------------------------------------------------------------------
+!  wchl        quadratic mortality of phytoplankton
+!  wchld       maximum quadratic mortality of diatoms
+!  mprat       phytoplankton mortality rate
+!  mprat2      Diatoms mortality rate
+!  mpratm      Phytoplankton minimum mortality rate
+&natmort
+   wchl       =  0.001,
+   wchld      =  0.02,
+   mprat      =  0.01,
+   mprat2     =  0.01,
+   mpratm     =  0.01,
+/
+!-----------------------------------------------------------------------
+!   natmes   parameters for mesozooplankton
+!-----------------------------------------------------------------------
+!  grazrat2    maximal mesozoo grazing rate
+!  resrat2     exsudation rate of mesozooplankton
+!  mzrat2      mesozooplankton mortality rate
+!  xprefc      zoo preference for phyto
+!  xprefp      zoo preference for POC
+!  xprefz      zoo preference for zoo
+!  xprefpoc    zoo preference for poc
+!  xkgraz2     half sturation constant for meso grazing
+!  epsher2     Efficicency of Mesozoo growth
+!  sigma2      Fraction of mesozoo excretion as DOM
+!  unass2      non assimilated fraction of P by mesozoo
+!  grazflux    flux-feeding rate
+&natmes
+   grazrat2   =  0.7,
+   resrat2    =  0.005,
+   mzrat2     =  0.03,
+   xprefc     =  1. ,
+   xprefp     =  0.2 ,
+   xprefz     =  1 ,
+   xprefpoc   =  0.2 ,
+   xkgraz2    =  20.E-6 ,
+   epsher2    =  0.33 ,
+   sigma2     =  0.6,
+   unass2     =  0.3 ,
+   grazflux   =  5.e3,
+/
+!-----------------------------------------------------------------------
+!   natbio   biological parameters
+!-----------------------------------------------------------------------
+!  grazrat     maximal zoo grazing rate
+!  resrat      exsudation rate of zooplankton
+!  mzrat       zooplankton mortality rate
+!  xpref2c      Microzoo preference for POM
+!  xpref2p      Microzoo preference for Nanophyto
+!  xpref2d      Microzoo preference for Diatoms
+!  xkgraz      half sturation constant for grazing
+!  epsher      Efficiency of microzoo growth
+!  sigma1      Fraction of microzoo excretion as DOM
+!  unass       non assimilated fraction of phyto by zoo
+&natzoo
+   grazrat    =  4.0,
+   resrat     =  0.03,
+   mzrat      =  0.0,
+   xpref2c    =  0.0 ,
+   xpref2p    =  0.5 ,
+   xpref2d    =  0.5 ,
+   xkgraz     =  20.E-6 ,
+   epsher     =  0.33 ,
+   sigma1     =  0.6,
+   unass      =  0.3 ,
+/
+!
+!-----------------------------------------------------------------------
+!   natrem   parameters for remineralization
+!-----------------------------------------------------------------------
+!  xremik      remineralization rate of DOC
+!  xremip      remineralisation rate of POC
+!  nitrif      NH4 nitrification rate
+!  xsirem      remineralization rate of Si
+!  xlam1       scavenging rate of Iron
+!  oxymin      Half-saturation constant for anoxia
+&natrem
+   xremik    =  0.3,
+   xremip    =  0.025,
+   nitrif    =  0.05,
+   xsirem    =  0.015,
+   xlam1     =  0.005,
+   oxymin    =  1.E-6,
+/
+!-----------------------------------------------------------------------
+!   natcal   Calcite chemistry
+!-----------------------------------------------------------------------
+!  kdca        calcite dissolution rate constant (1/time)
+!  nca         order of dissolution reaction (dimensionless)
+&natcal
+   kdca       =  0.327e3,
+   nca        =  1.,
+/
+!-----------------------------------------------------------------------
+!   natsms   inputs deposition
+!-----------------------------------------------------------------------
+!   bdustfer    boolean for dust input from the atmosphere
+!   briver      boolean for river input of nutrients
+!   bndepo      boolean for atmospheric deposition of N
+!   bsedinput   boolean for Fe input from sediments
+!   sedfeinput  Coastal release of Iron
+!
+&natsms
+   bdustfer   =  .true.,
+   briver     =  .false.,
+   bndepo     =  .false.,
+   bsedinput  =  .false.,
+   sedfeinput =  1E-9,
+   dustsolub  =  0.014,
+/
+!---------------------------------------------------------------------------------
+!   natkrpar   parameter for Kriest parameterization      (#ifdef key_kriest)
+!---------------------------------------------------------------------------------
+!  xkr_eta       Sinking  exponent
+!  xkr_zeta      N content exponent
+!  xkr_mass_min  Minimum mass for Aggregates
+!  xkr_mass_max  Maximum mass for Aggregates
+!
+&natkrpar
+   xkr_eta      = 1.17,
+   xkr_zeta     = 2.28,
+   xkr_mass_min = 0.0002,
+   xkr_mass_max = 1.,
+/
+!---------------------------------------------------------------------------------
+!   natkrsize   size calsses for Kriest parameterization      (#ifdef key_kriest)
+!---------------------------------------------------------------------------------
+!  xkr_sfact     Sinking factor
+!  xkr_stick     Stickiness
+!  xkr_xnnano    Nbr of cell in nano size class
+!  xkr_ndiat     Nbr of cell in diatoms size class
+!  xkr_nmeso     Nbr of cell in mesozoo size class
+!  xkr_naggr     Nbr of cell in aggregates  size class
+!
+&natkrsize
+   xkr_sfact    = 942.,
+   xkr_stick    = 0.5,
+   xkr_nnano    = 2.337,
+   xkr_ndiat    = 3.718,
+   xkr_nmeso    = 7.147,
+   xkr_naggr    = 9.877,
+/
Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist.trc.sms
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist.trc.sms	(revision 985)
+++ 	(revision )
@@ -1,226 +1,0 @@
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-! General namelist for PISCES model
-! -------------
-!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!
-!-----------------------------------------------------------------------
-!   natext   air-sea exchange
-!-----------------------------------------------------------------------
-!   atcco2 : atmospheric pCO2
-!
-&natext
-   atcco2 = 278.,
-/
-!-----------------------------------------------------------------------
-!   natbio   biological parameters
-!-----------------------------------------------------------------------
-!  part        part of calcite not dissolved in guts
-!  nrdttrc     time step frequency for biology
-!  wsbio       POC sinking speed
-!  xkmort      half saturation constant for mortality
-!  ferat3      Fe/C in zooplankton
-!  wsbio2      Big particles sinking speed
-!
-&natbio
-   part       =  0.85,
-   nrdttrc    =  4,
-   wsbio      =  2. ,
-   xkmort     =  1.E-7 ,
-   ferat3     =  3.E-6,
-   wsbio2     =  50.,
-/
-!-----------------------------------------------------------------------
-!   natlim   parameters for nutrient limitations
-!-----------------------------------------------------------------------
-!  conc0       Phosphate half saturation
-!  conc1       Phosphate half saturation for diatoms
-!  conc2       Iron half saturation for phyto
-!  conc3       Iron half saturation for diatoms
-!  concnnh4    NH4 half saturation for phyto
-!  concdnh4    NH4 half saturation for diatoms
-!  xksi1       half saturation constant for Si uptake
-!  xksi2       half saturation constant for Si/C
-!  xkdoc       half-saturation constant of DOC remineralization
-!  caco3r      mean rain ratio
-&natlim
-   conc0      =  2.e-6,
-   conc1      =  10E-6 ,
-   conc2      =  0.02E-9 ,
-   conc2m     =  0.08E-9,
-   conc3      =  0.1E-9 ,
-   conc3m     =  0.4E-9,
-   concnnh4   =  1.E-7,
-   concdnh4   =  5.E-7,
-   xksi1      =  2.E-6 ,
-   xksi2      =  3.33E-6 ,
-   xkdoc      =  417.E-6 ,
-   caco3r     =  0.3,
-/
-!-----------------------------------------------------------------------
-!   natprod   parameters for phytoplankton growth
-!-----------------------------------------------------------------------
-!  pislope     P-I slope
-!  pislope2    P-I slope  for diatoms
-!  excret      excretion ratio of phytoplankton
-!  excret2     excretion ratio of diatoms
-!  chlcnm      Minimum Chl/C in nanophytoplankton
-!  chlcdm      Minimum Chl/C in diatoms
-!  fecnm       Maximum Fe/C in nanophytoplankton
-!  fecdm       Minimum Fe/C in diatoms
-!  grosip      mean Si/C ratio
-&natprod
-   pislope    =  4. ,
-   pislope2   =  4. ,
-   excret     =  0.05 ,
-   excret2    =  0.05 ,
-   chlcnm     =  0.033,
-   chlcdm     =  0.05,
-   fecnm      =  10E-6,
-   fecdm      =  15E-6,
-   grosip     =  0.151,
-/
-!-----------------------------------------------------------------------
-!   natmort   parameters for phytoplankton sinks
-!-----------------------------------------------------------------------
-!  wchl        quadratic mortality of phytoplankton
-!  wchld       maximum quadratic mortality of diatoms
-!  mprat       phytoplankton mortality rate
-!  mprat2      Diatoms mortality rate
-!  mpratm      Phytoplankton minimum mortality rate
-&natmort
-   wchl       =  0.001,
-   wchld      =  0.02,
-   mprat      =  0.01,
-   mprat2     =  0.01,
-   mpratm     =  0.01,
-/
-!-----------------------------------------------------------------------
-!   natmes   parameters for mesozooplankton
-!-----------------------------------------------------------------------
-!  grazrat2    maximal mesozoo grazing rate
-!  resrat2     exsudation rate of mesozooplankton
-!  mzrat2      mesozooplankton mortality rate
-!  xprefc      zoo preference for phyto
-!  xprefp      zoo preference for POC
-!  xprefz      zoo preference for zoo
-!  xprefpoc    zoo preference for poc
-!  xkgraz2     half sturation constant for meso grazing
-!  epsher2     Efficicency of Mesozoo growth
-!  sigma2      Fraction of mesozoo excretion as DOM
-!  unass2      non assimilated fraction of P by mesozoo
-!  grazflux    flux-feeding rate
-&natmes
-   grazrat2   =  0.7,
-   resrat2    =  0.005,
-   mzrat2     =  0.03,
-   xprefc     =  1. ,
-   xprefp     =  0.2 ,
-   xprefz     =  1 ,
-   xprefpoc   =  0.2 ,
-   xkgraz2    =  20.E-6 ,
-   epsher2    =  0.33 ,
-   sigma2     =  0.6,
-   unass2     =  0.3 ,
-   grazflux   =  5.e3,
-/
-!-----------------------------------------------------------------------
-!   natbio   biological parameters
-!-----------------------------------------------------------------------
-!  grazrat     maximal zoo grazing rate
-!  resrat      exsudation rate of zooplankton
-!  mzrat       zooplankton mortality rate
-!  xpref2c      Microzoo preference for POM
-!  xpref2p      Microzoo preference for Nanophyto
-!  xpref2d      Microzoo preference for Diatoms
-!  xkgraz      half sturation constant for grazing
-!  epsher      Efficiency of microzoo growth
-!  sigma1      Fraction of microzoo excretion as DOM
-!  unass       non assimilated fraction of phyto by zoo
-&natzoo
-   grazrat    =  4.0,
-   resrat     =  0.03,
-   mzrat      =  0.0,
-   xpref2c    =  0.0 ,
-   xpref2p    =  0.5 ,
-   xpref2d    =  0.5 ,
-   xkgraz     =  20.E-6 ,
-   epsher     =  0.33 ,
-   sigma1     =  0.6,
-   unass      =  0.3 ,
-/
-!
-!-----------------------------------------------------------------------
-!   natrem   parameters for remineralization
-!-----------------------------------------------------------------------
-!  xremik      remineralization rate of DOC
-!  xremip      remineralisation rate of POC
-!  nitrif      NH4 nitrification rate
-!  xsirem      remineralization rate of Si
-!  xlam1       scavenging rate of Iron
-!  oxymin      Half-saturation constant for anoxia
-&natrem
-   xremik    =  0.3,
-   xremip    =  0.025,
-   nitrif    =  0.05,
-   xsirem    =  0.015,
-   xlam1     =  0.005,
-   oxymin    =  1.E-6,
-/
-!-----------------------------------------------------------------------
-!   natcal   Calcite chemistry
-!-----------------------------------------------------------------------
-!  kdca        calcite dissolution rate constant (1/time)
-!  nca         order of dissolution reaction (dimensionless)
-&natcal
-   kdca       =  0.327e3,
-   nca        =  1.,
-/
-!-----------------------------------------------------------------------
-!   natsms   inputs deposition
-!-----------------------------------------------------------------------
-!   bdustfer    boolean for dust input from the atmosphere
-!   briver      boolean for river input of nutrients
-!   bndepo      boolean for atmospheric deposition of N
-!   bsedinput   boolean for Fe input from sediments
-!   sedfeinput  Coastal release of Iron
-!
-&natsms
-   bdustfer   =  .true.,
-   briver     =  .false.,
-   bndepo     =  .false.,
-   bsedinput  =  .false.,
-   sedfeinput =  1E-9,
-   dustsolub  =  0.014,
-/
-!---------------------------------------------------------------------------------
-!   natkrpar   parameter for Kriest parameterization      (#ifdef key_kriest)
-!---------------------------------------------------------------------------------
-!  xkr_eta       Sinking  exponent
-!  xkr_zeta      N content exponent
-!  xkr_mass_min  Minimum mass for Aggregates
-!  xkr_mass_max  Maximum mass for Aggregates
-!
-&natkrpar
-   xkr_eta      = 1.17,
-   xkr_zeta     = 2.28,
-   xkr_mass_min = 0.0002,
-   xkr_mass_max = 1.,
-/
-!---------------------------------------------------------------------------------
-!   natkrsize   size calsses for Kriest parameterization      (#ifdef key_kriest)
-!---------------------------------------------------------------------------------
-!  xkr_sfact     Sinking factor
-!  xkr_stick     Stickiness
-!  xkr_xnnano    Nbr of cell in nano size class
-!  xkr_ndiat     Nbr of cell in diatoms size class
-!  xkr_nmeso     Nbr of cell in mesozoo size class
-!  xkr_naggr     Nbr of cell in aggregates  size class
-!
-&natkrsize
-   xkr_sfact    = 942.,
-   xkr_stick    = 0.5,
-   xkr_nnano    = 2.337,
-   xkr_ndiat    = 3.718,
-   xkr_nmeso    = 7.147,
-   xkr_naggr    = 9.877,
-/