Index: /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make
===================================================================
--- /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1020)
+++ /trunk/CONFIG/ORCA2_LIM_PISCES/scripts/BB_make	(revision 1021)
@@ -264,5 +264,4 @@
 		$(MODEL_LIB)(iceini_2.o)\
 		$(MODEL_LIB)(ice_oce.o)\
-		$(MODEL_LIB)(initrc.o)\
 		$(MODEL_LIB)(in_out_manager.o)\
 		$(MODEL_LIB)(iom_def.o)\
@@ -405,8 +404,6 @@
 		$(MODEL_LIB)(trcctl.o)\
 		$(MODEL_LIB)(trcdia.o)\
-		$(MODEL_LIB)(trcdit.o)\
 		$(MODEL_LIB)(trcdmp.o)\
 		$(MODEL_LIB)(trcdta.o)\
-		$(MODEL_LIB)(trcdtr.o)\
 		$(MODEL_LIB)(trcexp.o)\
 		$(MODEL_LIB)(trc.o)\
@@ -4061,88 +4058,4 @@
 	KEY_CPP \
 	ice_oce.F90
-$(MODEL_LIB)(initrc.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(sms.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trcdta.o) \
-	$(MODEL_LIB)(trcini_cfc.o) \
-	$(MODEL_LIB)(trcini_lobster.o) \
-	$(MODEL_LIB)(trcini_my_trc.o) \
-	$(MODEL_LIB)(trcini_pisces.o) \
-	$(MODEL_LIB)(trclsm.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcsms_cfc.o) \
-	$(MODEL_LIB)(trctrp_ctl.o) \
-	$(MODEL_LIB)(trctrp_lec.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	ocfzpt.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	sms.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trcdta.F90 \
-	trc.F90 \
-	trcini_cfc.F90 \
-	trcini_lobster.F90 \
-	trcini_my_trc.F90 \
-	trcini_pisces.F90 \
-	trclsm.F90 \
-	trcsms_cfc.F90 \
-	trctrp_ctl.F90 \
-	trctrp_lec.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(prtctl_trc.o) \
-	$(MODEL_LIB)(trcctl.o) \
-	$(MODEL_LIB)(trcdtr.o) \
-	$(MODEL_LIB)(trcini.o) \
-	$(MODEL_LIB)(trclec.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(trcrst.o) \
-	oce_trc.F90 \
-	prtctl_trc.F90 \
-	trcctl.F90 \
-	trcdtr.F90 \
-	trc.F90 \
-	trcini.F90 \
-	trclec.F90 \
-	trcrst.F90 \
-	domzgr_substitute.h90 \
-	KEY_CPP \
-	initrc.F90
 $(MODEL_LIB)(in_out_manager.o) :	\
 	$(MODEL_LIB)(par_kind.o) \
@@ -5503,5 +5416,4 @@
 	dynspg_oce.F90 \
 	eosbn2.F90 \
-	initrc.F90 \
 	in_out_manager.F90 \
 	istate.F90 \
@@ -5526,5 +5438,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(initrc.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(istate.o) \
@@ -5542,4 +5453,5 @@
 	$(MODEL_LIB)(step_c1d.o) \
 	$(MODEL_LIB)(step.o) \
+	$(MODEL_LIB)(trcini.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -5556,4 +5468,5 @@
 	step_c1d.F90 \
 	step.F90 \
+	trcini.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -6298,6 +6211,9 @@
 	$(MODEL_LIB)(trazdf.o) \
 	$(MODEL_LIB)(trcctl.o) \
-	$(MODEL_LIB)(trcdtr.o) \
-	$(MODEL_LIB)(trcini.o) \
+	$(MODEL_LIB)(trcdta.o) \
+	$(MODEL_LIB)(trcini_cfc.o) \
+	$(MODEL_LIB)(trcini_lobster.o) \
+	$(MODEL_LIB)(trcini_my_trc.o) \
+	$(MODEL_LIB)(trcini_pisces.o) \
 	$(MODEL_LIB)(trclec.o) \
 	$(MODEL_LIB)(trc.o) \
@@ -6357,7 +6273,10 @@
 	trazdf.F90 \
 	trcctl.F90 \
-	trcdtr.F90 \
+	trcdta.F90 \
 	trc.F90 \
-	trcini.F90 \
+	trcini_cfc.F90 \
+	trcini_lobster.F90 \
+	trcini_my_trc.F90 \
+	trcini_pisces.F90 \
 	trclec.F90 \
 	trcrst.F90 \
@@ -6398,5 +6317,4 @@
 	dynspg_oce.F90 \
 	eosbn2.F90 \
-	initrc.F90 \
 	in_out_manager.F90 \
 	istate.F90 \
@@ -6421,5 +6339,4 @@
 	$(MODEL_LIB)(dynspg_oce.o) \
 	$(MODEL_LIB)(eosbn2.o) \
-	$(MODEL_LIB)(initrc.o) \
 	$(MODEL_LIB)(in_out_manager.o) \
 	$(MODEL_LIB)(istate.o) \
@@ -6437,4 +6354,5 @@
 	$(MODEL_LIB)(step_c1d.o) \
 	$(MODEL_LIB)(step.o) \
+	$(MODEL_LIB)(trcini.o) \
 	$(MODEL_LIB)(trdmod.o) \
 	$(MODEL_LIB)(trdmod_oce.o) \
@@ -6451,4 +6369,5 @@
 	step_c1d.F90 \
 	step.F90 \
+	trcini.F90 \
 	trdmod.F90 \
 	trdmod_oce.F90 \
@@ -9031,5 +8950,4 @@
 	$(MODEL_LIB)(trazdf_imp.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trcdit.o) \
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
@@ -9076,5 +8994,4 @@
 	trazdf_imp.F90 \
 	trcdia.F90 \
-	trcdit.F90 \
 	trc.F90 \
 	trc_oce.F90 \
@@ -9323,5 +9240,4 @@
 	$(MODEL_LIB)(trazdf.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trcdit.o) \
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trc_oce.o) \
@@ -9392,5 +9308,4 @@
 	trazdf_imp.F90 \
 	trcdia.F90 \
-	trcdit.F90 \
 	trc.F90 \
 	trc_oce.F90 \
@@ -11975,21 +11890,4 @@
 	trcctl.F90
 $(MODEL_LIB)(trcdia.o) :	\
-	dianam.F90 \
-	in_out_manager.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(dianam.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(sms.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	sms.F90 \
-	trc.F90 \
-	$(MODEL_LIB)(trcdit.o) \
-	trcdit.F90 \
-	KEY_CPP \
-	trcdia.F90
-$(MODEL_LIB)(trcdit.o) :	\
 	daymod.F90 \
 	dom_oce.F90 \
@@ -12053,5 +11951,5 @@
 	$(IOIPSL_LIB) \
 	KEY_CPP \
-	trcdit.F90
+	trcdia.F90
 $(MODEL_LIB)(trcdmp.o) :	\
 	daymod.F90 \
@@ -12207,63 +12105,4 @@
 	KEY_CPP \
 	trcdta.F90
-$(MODEL_LIB)(trcdtr.o) :	\
-	daymod.F90 \
-	dom_oce.F90 \
-	dynspg_oce.F90 \
-	in_out_manager.F90 \
-	iom.F90 \
-	ldfslp.F90 \
-	ldftra_oce.F90 \
-	lib_mpp.F90 \
-	lib_print.f90 \
-	$(MODEL_LIB)(daymod.o) \
-	$(MODEL_LIB)(dom_oce.o) \
-	$(MODEL_LIB)(dynspg_oce.o) \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(iom.o) \
-	$(MODEL_LIB)(ldfslp.o) \
-	$(MODEL_LIB)(ldftra_oce.o) \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(lib_print.o) \
-	$(MODEL_LIB)(oce.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(ocfzpt.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_trc.o) \
-	$(MODEL_LIB)(phycst.o) \
-	$(MODEL_LIB)(sbc_oce.o) \
-	$(MODEL_LIB)(sbcrnf.o) \
-	$(MODEL_LIB)(trabbl.o) \
-	$(MODEL_LIB)(traqsr.o) \
-	$(MODEL_LIB)(trc.o) \
-	$(MODEL_LIB)(zdfddm.o) \
-	$(MODEL_LIB)(zdfmxl.o) \
-	$(MODEL_LIB)(zdf_oce.o) \
-	oce.F90 \
-	oce_trc.F90 \
-	ocfzpt.F90 \
-	par_oce.F90 \
-	par_trc.F90 \
-	phycst.F90 \
-	sbc_oce.F90 \
-	sbcrnf.F90 \
-	trabbl.F90 \
-	traqsr.F90 \
-	trc.F90 \
-	zdfddm.F90 \
-	zdfmxl.F90 \
-	zdf_oce.F90 \
-	lib_mpp.F90 \
-	$(MODEL_LIB)(lib_mpp.o) \
-	$(MODEL_LIB)(oce_trc.o) \
-	$(MODEL_LIB)(sms.o) \
-	$(MODEL_LIB)(trcdta.o) \
-	$(MODEL_LIB)(trc.o) \
-	oce_trc.F90 \
-	sms.F90 \
-	trcdta.F90 \
-	trc.F90 \
-	KEY_CPP \
-	trcdtr.F90
 $(MODEL_LIB)(trcexp.o) :	\
 	daymod.F90 \
@@ -12407,44 +12246,94 @@
 	trcini_cfc.F90
 $(MODEL_LIB)(trcini.o) :	\
-	lib_print.f90 \
-	$(MODEL_LIB)(lib_print.o) \
+	daymod.F90 \
+	dom_oce.F90 \
+	dynspg_oce.F90 \
+	in_out_manager.F90 \
+	iom.F90 \
+	ldfslp.F90 \
+	ldftra_oce.F90 \
+	lib_mpp.F90 \
+	lib_print.f90 \
+	$(MODEL_LIB)(daymod.o) \
+	$(MODEL_LIB)(dom_oce.o) \
+	$(MODEL_LIB)(dynspg_oce.o) \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(iom.o) \
+	$(MODEL_LIB)(ldfslp.o) \
+	$(MODEL_LIB)(ldftra_oce.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(lib_print.o) \
+	$(MODEL_LIB)(oce.o) \
 	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(ocfzpt.o) \
 	$(MODEL_LIB)(p4zche.o) \
-	$(MODEL_LIB)(par_cfc.o) \
-	$(MODEL_LIB)(par_kind.o) \
-	$(MODEL_LIB)(par_lobster.o) \
-	$(MODEL_LIB)(par_my_trc.o) \
-	$(MODEL_LIB)(par_oce.o) \
-	$(MODEL_LIB)(par_pisces.o) \
+	$(MODEL_LIB)(par_kind.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(phycst.o) \
+	$(MODEL_LIB)(sbc_oce.o) \
+	$(MODEL_LIB)(sbcrnf.o) \
 	$(MODEL_LIB)(sms.o) \
+	$(MODEL_LIB)(trabbl.o) \
+	$(MODEL_LIB)(traqsr.o) \
+	$(MODEL_LIB)(trclsm.o) \
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcsms_cfc.o) \
+	$(MODEL_LIB)(trctrp_ctl.o) \
+	$(MODEL_LIB)(trctrp_lec.o) \
 	$(MODEL_LIB)(trp_trc.o) \
+	$(MODEL_LIB)(zdfddm.o) \
+	$(MODEL_LIB)(zdfmxl.o) \
+	$(MODEL_LIB)(zdf_oce.o) \
+	oce.F90 \
 	oce_trc.F90 \
+	ocfzpt.F90 \
 	p4zche.F90 \
-	par_cfc.F90 \
-	par_kind.F90 \
-	par_lobster.F90 \
-	par_my_trc.F90 \
-	par_oce.F90 \
-	par_pisces.F90 \
+	par_kind.F90 \
+	par_oce.F90 \
 	par_trc.F90 \
+	phycst.F90 \
+	sbc_oce.F90 \
+	sbcrnf.F90 \
 	sms.F90 \
+	trabbl.F90 \
+	traqsr.F90 \
 	trc.F90 \
+	trclsm.F90 \
 	trcsms_cfc.F90 \
+	trctrp_ctl.F90 \
+	trctrp_lec.F90 \
 	trp_trc.F90 \
-	in_out_manager.F90 \
-	$(MODEL_LIB)(in_out_manager.o) \
-	$(MODEL_LIB)(par_trc.o) \
+	zdfddm.F90 \
+	zdfmxl.F90 \
+	zdf_oce.F90 \
+	in_out_manager.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(in_out_manager.o) \
+	$(MODEL_LIB)(lib_mpp.o) \
+	$(MODEL_LIB)(oce_trc.o) \
+	$(MODEL_LIB)(prtctl_trc.o) \
+	$(MODEL_LIB)(trcctl.o) \
+	$(MODEL_LIB)(trcdta.o) \
 	$(MODEL_LIB)(trcini_cfc.o) \
 	$(MODEL_LIB)(trcini_lobster.o) \
 	$(MODEL_LIB)(trcini_my_trc.o) \
 	$(MODEL_LIB)(trcini_pisces.o) \
-	par_trc.F90 \
+	$(MODEL_LIB)(trclec.o) \
+	$(MODEL_LIB)(trc.o) \
+	$(MODEL_LIB)(trcrst.o) \
+	oce_trc.F90 \
+	prtctl_trc.F90 \
+	trcctl.F90 \
+	trcdta.F90 \
+	trc.F90 \
 	trcini_cfc.F90 \
 	trcini_lobster.F90 \
 	trcini_my_trc.F90 \
 	trcini_pisces.F90 \
+	trclec.F90 \
+	trcrst.F90 \
+	domzgr_substitute.h90 \
+	KEY_CPP \
 	trcini.F90
 $(MODEL_LIB)(trcini_lobster.o) :	\
@@ -12500,7 +12389,9 @@
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(sms.o) \
+	$(MODEL_LIB)(trc.o) \
 	oce_trc.F90 \
 	par_trc.F90 \
 	sms.F90 \
+	trc.F90 \
 	domzgr_substitute.h90 \
 	ldfeiv_substitute.h90 \
@@ -12515,12 +12406,18 @@
 	$(MODEL_LIB)(par_lobster.o) \
 	$(MODEL_LIB)(par_my_trc.o) \
+	$(MODEL_LIB)(par_oce.o) \
 	$(MODEL_LIB)(par_pisces.o) \
+	$(MODEL_LIB)(par_trc.o) \
 	par_cfc.F90 \
 	par_kind.F90 \
 	par_lobster.F90 \
 	par_my_trc.F90 \
+	par_oce.F90 \
 	par_pisces.F90 \
+	par_trc.F90 \
 	$(MODEL_LIB)(par_trc.o) \
+	$(MODEL_LIB)(trc.o) \
 	par_trc.F90 \
+	trc.F90 \
 	KEY_CPP \
 	trcini_my_trc.F90
@@ -12582,8 +12479,11 @@
 	zdfmxl.F90 \
 	zdf_oce.F90 \
+	lib_mpp.F90 \
+	$(MODEL_LIB)(lib_mpp.o) \
 	$(MODEL_LIB)(oce_trc.o) \
 	$(MODEL_LIB)(p4zche.o) \
 	$(MODEL_LIB)(par_trc.o) \
 	$(MODEL_LIB)(sms.o) \
+	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trp_trc.o) \
 	oce_trc.F90 \
@@ -12591,4 +12491,5 @@
 	par_trc.F90 \
 	sms.F90 \
+	trc.F90 \
 	trp_trc.F90 \
 	domzgr_substitute.h90 \
@@ -13914,5 +13815,4 @@
 	$(MODEL_LIB)(trcadv_tvd.o) \
 	$(MODEL_LIB)(trcbbl.o) \
-	$(MODEL_LIB)(trcdit.o) \
 	$(MODEL_LIB)(trcdmp.o) \
 	$(MODEL_LIB)(trcldf_bilapg.o) \
@@ -13956,5 +13856,4 @@
 	trcadv_tvd.F90 \
 	trcbbl.F90 \
-	trcdit.F90 \
 	trcdmp.F90 \
 	trc.F90 \
@@ -13983,5 +13882,4 @@
 	$(MODEL_LIB)(prtctl_trc.o) \
 	$(MODEL_LIB)(trcdia.o) \
-	$(MODEL_LIB)(trcdit.o) \
 	$(MODEL_LIB)(trc.o) \
 	$(MODEL_LIB)(trcrst.o) \
@@ -13991,5 +13889,4 @@
 	prtctl_trc.F90 \
 	trcdia.F90 \
-	trcdit.F90 \
 	trc.F90 \
 	trcrst.F90 \
@@ -15438,5 +15335,5 @@
       \$(RM) trcstp.F90                      ; \
       \$(RM) sms.F90                         ; \
-      \$(RM) initrc.F90                      ; \
+      \$(RM) trcini.F90                      ; \
       ln -sf ../TOP_SRC/*.[Ffh]90          . ; \
       ln -sf ../TOP_SRC/TRP/*.[Ffh]90      . ; \